summaryrefslogtreecommitdiffstats
path: root/foreman
diff options
context:
space:
mode:
authorTim Rozet <trozet@redhat.com>2015-08-27 16:30:54 -0400
committerTim Rozet <trozet@redhat.com>2015-08-27 16:30:54 -0400
commit290b60674ce471abe898c4f444e4ed9562456477 (patch)
treeba52ac1d4c9c70030fcb4c3176dc2142897ac06a /foreman
parentec14e60346404374823fc0b0188b7de37995bffb (diff)
Fixes vagrant base box to be opnfv
Chef removed the centos7 basebox from Atlas. A new opnfv base box was added. This patch includes the modifications necessary to point to that new box. JIRA: APEX-14 Change-Id: I7e74726c692f21583d0d70f9dd7558665dfb5d99 Signed-off-by: Tim Rozet <trozet@redhat.com>
Diffstat (limited to 'foreman')
-rw-r--r--foreman/ci/Vagrantfile2
-rwxr-xr-xforeman/ci/deploy.sh4
2 files changed, 3 insertions, 3 deletions
diff --git a/foreman/ci/Vagrantfile b/foreman/ci/Vagrantfile
index a01da70..5550976 100644
--- a/foreman/ci/Vagrantfile
+++ b/foreman/ci/Vagrantfile
@@ -12,7 +12,7 @@ Vagrant.configure(2) do |config|
# Every Vagrant development environment requires a box. You can search for
# boxes at https://atlas.hashicorp.com/search.
- config.vm.box = "chef/centos-7.0"
+ config.vm.box = "opnfv/centos-7.0"
# Disable automatic box update checking. If you disable this, then
# boxes will only be checked for updates when the user runs
diff --git a/foreman/ci/deploy.sh b/foreman/ci/deploy.sh
index a05b3de..405e286 100755
--- a/foreman/ci/deploy.sh
+++ b/foreman/ci/deploy.sh
@@ -387,8 +387,8 @@ install_vagrant() {
fi
##add centos 7 box to vagrant
- if ! vagrant box list | grep chef/centos-7.0; then
- if ! vagrant box add chef/centos-7.0 --provider virtualbox; then
+ if ! vagrant box list | grep opnfv/centos-7.0; then
+ if ! vagrant box add opnfv/centos-7.0 --provider virtualbox; then
printf '%s\n' 'deploy.sh: Unable to download centos7 box for Vagrant' >&2
exit 1
fi